COMMAND-LINE OPTIONS

I've made an effort to make Live Chat very automatic in function. All
the data it needs, it retrieves from Searchlight itself, at run time. It
uses NO configuration files, unless you use the registration key file;
and even that can be replaced with a command-line option.

There are quite a few command-line options available to customize Live
Chat's operation; but you probably won't NEED any of them. Here's a
brief summary of the available options, as shown by entering

 LIVECHAT ?

at the command line:

L[<filename>]  Turn on logfile [use <filename>]
B[+,-]         + or blank = bell always on, - = bell always off
T[+,-]         + or blank = timer always on, - = timer always off
M<num>         Limit chat to <num> minutes maximum
I<num>         Set idle time limit to <num> minutes
H[+,-]         Blank = force hangup on idle timeout; + = hangup on both idle
               and regular timeouts; - = regular only
S<num>         Set screen size to <num> lines
P<pathname>    Use <pathname> for Live Chat's temporary files
D              Disable console <ALT>- keys
X              Do not run this node as the Slave process
C[xxxxx]       Specify colors with 1-5 hex digits
?              This help screen

Except for "?" (see below), these options can be included in any
combination, in any order. Case is ignored. "/" and "-" may be used in
front of options as "switch characters", interchangeably, e.g.:

 livechat.exe /l -m30

but are merely skipped.

 livechat.exe l m30

is equivalent. Multiple options must be separated by spaces; options and
their parameters must NOT be so separated. Brackets [] indicate optional
parameters and should not be typed. Angle brackets <> are replaceable,
non-optional parameters or single keys; same deal.

Now, the detailed descriptions of each option:

 
L[<filename>]  Turn on logfile [use <filename>]

This option allows you to capture all text typed in Live Chat, just like
Searchlight's <ALT>-L function. Live Chat's log file may also be toggled
by using <ALT>-L from within Live Chat. If the "L" command-line option
is not specified, the log file is off when Live Chat starts, but may be
toggled on manually. Use the "L" option if you want to automatically
log all chatting.

The default filename is "LIVECHAT.LOG". If no directory is specified,
the "chat path" from CONFIG.SL2 is used.

An entry in the log file looks something like this:

Live Chat: WILLIAM MCBRINE with DANIEL RYMER,
at 10:48 on 10-11-92
----------------------------------------
Hey! How about those <YOUR TEAM HERE>?
etc.
.h
.
----------------------------------------

Text output by the dot commands is not captured by the log file.

By specifying a filename with the "L" option, you could, for instance,
store the chat text in a more comprehensive log file. E.g.:
"livechat.exe lactivity.log".


B[+,-]         + or blank = bell always on, - = bell always off

The bell is the beep you hear when someone (including you) types
<CTRL>-G. This character is just passed on to the remote terminals, but
beeping at the local console can be toggled off if you desire. By
default, the bell status is matched to the "Sysop available" flag: if
you're available, the bell will ring through; if not, it won't. This way
your users can type <CTRL>-G from within Live Chat to page you. But if
you don't want to hear it, or you want to hear it even when you're
"unavailable", you can override the default with this option. You can
also toggle the bell status from within Live Chat using <ALT>-B.


T[+,-]         + or blank = timer always on, - = timer always off

Unlike Searchlight's internal sysop chat mode, Live Chat can be
activated by any two users with access to the door, so SL's time limits
have to be enforced. But Sysops and Cosysops - level 255 and 254 users -
aren't held to their time limits when in SL, so by default, they (and
whoever they chat with) aren't constrained in Live Chat, either. But if
you need to keep the chatting time down, even for them - and believe me,
some high-access people have been known to use this door for hours at a
time - you can enable the timer from the command line. If, on the other
hand, you want to allow unlimited chatting for ALL access levels, you
can disable the timer here. You can also toggle this option from within
Live Chat using <ALT>-T.

The idle time limit is not affected by the timer status. Idle time
checking is always on.


M<num>         Limit chat to <num> minutes maximum

The default time limit in Live Chat is the lesser of the "time
remaining" values for each of the two Chatters. In some cases this may
still be more time than you'd like to allow, so you can limit it with
the "M" option. But no record is kept by Live Chat, so if they have any
time remaining once the door ejects them, they can jump right back in.
If you use this option, just don't tell anybody about that.

This option, of course, does nothing if the timer is off.


I<num>         Set idle time limit to <num> minutes

The idle time limit is more or less the same as in Searchlight; if
nothing is typed in Live Chat for a few minutes, the door terminates. By
default the idle time limit for the program is the lesser of
Searchlight's idle time limits for each node in Live Chat. In no case
will it be more than 60 minutes.

Chat doors are a good place for people to just go off to the bathroom
and forget they're online, so if you don't have an idle limit set in SL,
you may want to set one here. But I included this option mainly for
completeness.


H[+,-]         Blank = force hangup on idle timeout; + = hangup on both idle
               and regular timeouts; - = regular only

The only reason I've included this option is, there's a bug in
Searchlight (as of version 2.25C): if you exit from a old DOORS.DEF-
style door, and you leave SL sitting at the "Enter door number (ENTER to
exit):" prompt, it WON'T hang up when the idle time limit is reached. So
if you have Live Chat set up as an old-style door without this option,
and someone just idle-times out, you may have a problem. With this
option set, an idle timeout will hang up on both nodes before exiting
the door. SL will then recognize the loss of carrier and reset properly.

I recommend using only the idle timeout; in the case of a regular
timeout, someone will probably be there to press <RETURN> on the door
menu. But you can include regular timeouts, or hang up ONLY on regular
timeouts, too, if need be. In the case of regular time outs, only the
node(s) whose time has expired will be disconnected.

Rather than use this option at all, I recommend running Live Chat from a
menu rather than a DOORS.DEF file; I don't think menus have the same
problem.

I wrote the hangup routine for the Slave node out of nothing; I don't
guarantee it to work on all modem setups. (For that matter, I don't
guarantee Searchlight's internal hangup routine to work on all modem
setups - nor any other part of this program!) Remember, make sure you
set Live Chat's abort type to 0 or "None"; and Frank LaRosa advises that
a door which uses SL's hangup routine should not be run from a batch
file. (I would recommend Live Chat not be run from a batch file anyway,
as it wastes some memory and loading time.) Specify the full program
name - "livechat.exe" - in the door setup.


S<num>         Set screen size to <num> lines

This controls the placement of the status bar and the scrolling on the
local console; the default is 25 lines. I have incorporated no code to
change the screen size, and I haven't been able to test Live Chat with
an expanded screen (DesqView wouldn't let me!); so this option is only
useful if you already have the screen set to something other than 25
lines when the door starts. Since there's no backscroll function in this
program (coming next version???), I think 50 or so lines of text on the
local console would be valuable... If anyone gets any use out of this
option, please let me know.


P<pathname>    Use <pathname> for Live Chat's temporary files

Live Chat creates two flag files, called "WAITING" and "HERE". These
files are used to pass information between the Master and Slave
processes. "WAITING" is a zero-byte file; "HERE" is thirty-odd bytes.
By default, these files are created in Searchlight's "chat path", as
specified in CONFIG.SL2. This is the same path Searchlight uses for its
own CHAT.SL2 file.

By specifying different paths with this option, you could (for instance)
set up two pairs of nodes on a four-node system, such that each node can
only chat with the node that shares its directory, but both pairs can
chat at the same time. Ordinarily, with all "chat paths" pointing to the
same directory, only one pair of nodes at a time can be in Live Chat, no
matter how many nodes the BBS has. (This is one disadvantage of Live
Chat over Searchlight's internal multi-node chat system. I hope to
improve the situation with my next release - with luck, I may even
implement three- or more-way chatting!)

This option specifies a directory, only; not a filename. The specified
directory does NOT affect the default directories used for the log file,
files read with <ALT>-R, or the registration key file, all of which also
default to the "chat path".


D              Disable console <ALT>- keys

As mentioned above, Live Chat has several <ALT>-combination "Hot Keys",
like Searchlight's (see below for details). Also like SL, they can be
disabled - in this case by a command-line option - so the local console
can be used by people other than the sysop, with the program relatively
safe from accident or abuse.

The operation of the <ALT>- keys in Live Chat is mostly invisible to the
remote users, and they are displayed by the .H help command on the local
console only. That display is suppressed if this option is selected.


X              Do not run this node as the Slave process

You may find that a node won't work as a Slave process, but WILL work if
it's the Master; in that case, put this option on the command line.

Every node should be able to work as the Master, because the Master
process uses Searchlight's built-in drivers. If you can run SL, you can
run Live Chat in Master mode on that node. The Master node can even run
in local mode, with no communications port active. But the Slave node is
driven by my own routines; Live Chat reads the port address and
interrupt from SL, but it won't (yet) interface with a Fossil, and it
can't run the Slave in local mode.

The comport setup array is read from the MASTER node's CONFIG.SL2, but
it's used to drive the SLAVE node, so you should make sure this area of
your config is the same in all nodes, or at least in all nodes which
will use Live Chat in common. Most likely it IS the same... don't worry
about this unless you have problems.

As far as Fossil-driven boards: Live Chat has been successfully run on a
board where Searchlight runs under a Fossil (at 2400 bps). Because of a
dicey modem, SL won't run in "raw" mode there, and requires the "Fossil"
setting in the comport setup; but Live Chat takes that same port and
modem and uses it "raw" with no difficulty, and then returns it smoothly
to SL.

If you have Live Chat available from a local-only node, and have a
separate door set-up for that node, you should use the X option there.
Of course, there's not much point in using Live Chat from a local node,
since if you're at the console, you can just <ALT>-C to chat with a
remote user; but some have found advantages in using Live Chat this way
over Searchlight's internal sysop chat. It could also be useful on a
system with SL's <ALT>- keys locked out.


C[xxxxx]       Specify colors with 1-5 hex digits

At first, I thought I might make Live Chat's default colors match the
chat colors stored in CONFIG.SL2, but in Live Chat there are potentially
THREE participants: Master, Slave, and Local Sysop. So I settled on what
I hope is a reasonable, readable color scheme; but I put in a dot
command to change colors from within Live Chat, and this option to
change the defaults from the command line. Possible colors are any of
the sixteen standard IBM colors, here represented by a hexadecimal
digit:

 0 Black       8 Dark Gray
 1 Blue        9 Light Blue
 2 Green       A Light Green
 3 Cyan        B Light Cyan
 4 Red         C Light Red
 5 Magenta     D Light Magenta
 6 Brown       E Yellow
 7 Light Gray  F White

The default colors are light red (C) for Master, light green (A) for
Slave, light blue (9) for Local, white (F) for text output by the
program and the foreground of the status bar, and blue (1) for the
background of the status bar. Colors set in the command-line option must
be listed IN THAT ORDER: Master, Slave, Local, Foreground, Background.
If the default colors were to be specified on the command line, it would
look like this:

 livechat.exe cCA9F1

(Case is irrelevant; I did it this way for readability.)

Not all colors need be specified. You can change the Master color
without changing anything else, or change all three user text colors
without changing the status bar, like so:

 livechat.exe c9CA

This swaps the colors around: light blue for Master, light red for
Slave, and light green for Local. But the colors must be given in order.
You can't change only the Slave and Local colors, for example. If you
wanted to do that, you'd have to pad out the "Master" field with its
default value.


?              This help screen

This is the only option that kicks in before Live Chat attempts to read
Searchlight's data files. It will display a short summary of the
command-line options and terminate. It will only work if it is the ONLY
option specified. With any other options, or with none, Live Chat will
open the .SL2 files, check for its own "HERE" and "WAITING" files, and
then go into Master or Slave mode, or terminate, as appropriate. In
normal operation, Live Chat gets all its information from Searchlight,
and NO command-line options are needed.


EXTRA OPTION NOT LISTED ON HELP SCREEN (your reward for reading the
manual!):

R[regstring]   Register this thing!

To use this option, you have to register Live Chat and get a
registration string. This will change the message Live Chat prints on
termination and shorten the delay, and will replace the "UNREGISTERED"
message on the opening screen with the registered sysop's name. The
registration code is 13 bytes (plus the letter R), immediately followed
by the sysop name, which can be up to 25 characters long (just like a
regular Searchlight user name). Like so:

 livechat.exe r1234567890abcwilliam_mcbrine

As in all the command-line options, case is ignored. Spaces must be
replaced by underbars. This parameter can get a bit long, so if you
want, you can put the registration string (minus the leading "R") in a
file called "livechat.reg", and put only an "R" on the command line.
Live Chat will then look for this file in the same "chat path" directory
it defaults to for other things.

Please see the section on REGISTRATION for further information!
